> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agg.market/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto purchase quotes



## OpenAPI

````yaml /openapi/openapi.json post /ramp/quotes
openapi: 3.0.2
info:
  title: AGG API
  version: 1.0.0
  description: >-
    Prediction market aggregator REST API — authentication, users, venue events,
    venue markets, orderbooks, charts, and execution workflows.
servers:
  - url: https://api.agg.market
    description: Production
  - url: https://api.staging.agg.market
    description: Staging
security: []
paths:
  /ramp/quotes:
    post:
      tags:
        - Ramp
      summary: Get crypto purchase quotes
      operationId: getRampQuotes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - sourceAmount
                - sourceCurrencyCode
                - destinationCurrencyCode
              properties:
                sourceAmount:
                  type: string
                sourceCurrencyCode:
                  type: string
                destinationCurrencyCode:
                  type: string
                paymentMethodType:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - serviceProvider
                    - transactionType
                    - sourceAmount
                    - sourceCurrencyCode
                    - destinationAmount
                    - destinationCurrencyCode
                    - exchangeRate
                    - totalFee
                    - networkFee
                    - transactionFee
                    - partnerFee
                    - fiatAmountWithoutFees
                    - paymentMethodType
                    - countryCode
                    - rampScore
                    - lowKyc
                  properties:
                    serviceProvider:
                      type: string
                    transactionType:
                      type: string
                    sourceAmount:
                      type: number
                    sourceCurrencyCode:
                      type: string
                    destinationAmount:
                      type: number
                    destinationCurrencyCode:
                      type: string
                    exchangeRate:
                      type: number
                    totalFee:
                      type: number
                    networkFee:
                      type: number
                    transactionFee:
                      type: number
                    partnerFee:
                      type: number
                    fiatAmountWithoutFees:
                      type: number
                    paymentMethodType:
                      type: string
                    countryCode:
                      type: string
                    rampScore:
                      type: number
                    lowKyc:
                      type: boolean
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '502':
          description: '502'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
      security:
        - appId: []
components:
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID. Required for all app-tier and user-tier routes.

````